import React from 'react'
import ReactDOM from 'react-dom'
import App from './components/App'
import { Provider } from "mobx-react"
import TaskStore from "./mobx/TaskStore"

const Root = (
  <Provider TaskStore={TaskStore}>
    <App />
  </Provider>
)

ReactDOM.render(Root, document.getElementById('root'))
