import { createStore, applyMiddleware, compose } from 'redux'
import thunk from 'redux-thunk'
import taskReducer from './reducers/taskReducer'

const store = createStore(
  taskReducer,
  {},
  compose(
    applyMiddleware(thunk),
    window.__REDUX_DEVTOOLS_EXTENSION__ && window.__REDUX_DEVTOOLS_EXTENSION__()
  )
)

export default store