import { combineReducers } from "redux";

const initialState = {
  tasks: []
}

const tasks = function(state = initialState, action) {
  switch(action.type) {
    case 'UPDATE_TASKS':
      return {
        ...state,
        tasks: action.payload
      }
    default:
      return state;
  }
}

export default combineReducers({ tasks })